Subject: bug#53028: Acknowledgement (nextcloud client segfaults)

From: Γυψ <[email-masked]>
Date: Thu, 06 Jan 2022 11:03:48 +0100

I looked at the difference between the last generation nextcloud-client
worked and the first it segfaults and the list of differences is shown
below [1].

Since nextcloud is a QT application not even gtk+ should make the
difference. Therefore I suspect that it is in the [email-masked]
source where the reason for the error is located.

I tried to switch back to 3.1.3 but there doesn't seem to be an older
version for nextcloud-client any more.

> $ guix install [email-masked]
> guix install: error: nextcloud-client: package not found for version 3.1.3

-- Alex

[1] different packages between working and non-working generation (only
 packages with different versions are shown, versions, not hashes are
 considered):
 
 + python-jupyterlab	3.2.5               	out	/gnu/store/hsm2xijmav64liaay6ph2zyi0vx2mi4a-python-jupyterlab-3.2.5
 - python-jupyterlab	2.2.9               	out	/gnu/store/fsqv8wajabyk7dn11pcqwsdb81rcnv00-python-jupyterlab-2.2.9
 + ungoogled-chromium	96.0.4664.110-1     	out	/gnu/store/pa3k6j8i17bdhz4yw62n5pwg1ca4c1gi-ungoogled-chromium-96.0.4664.110-1
 - ungoogled-chromium	96.0.4664.93-1      	out	/gnu/store/h74xpji0j9kck4lwlrvc02vjc04rbajr-ungoogled-chromium-96.0.4664.93-1
 + nextcloud-client 	3.2.0               	out	/gnu/store/9lqfvn04fsr5npr9glx4ikygdynxqwy1-nextcloud-client-3.2.0
 - nextcloud-client 	3.1.3               	out	/gnu/store/964z4rjzg8236wcf7v24048gvcqm71lh-nextcloud-client-3.1.3
 + flameshot        	0.10.2              	out	/gnu/store/gzkz2ycwpza4vv76zh0i3vwzblpl0kkm-flameshot-0.10.2
 - flameshot        	0.8.5               	out	/gnu/store/8s055qi18q8awrwji13ym5l27kcavmb1-flameshot-0.8.5
 + cups             	2.3.3op2            	out	/gnu/store/1id6r895258wj44wl75zf51c8igq8vmg-cups-2.3.3op2
 - cups             	2.3.3               	out	/gnu/store/bi9p7zj8jjbwxlgah91pqjxypywgaxvq-cups-2.3.3
 + evince           	40.2                	out	/gnu/store/n9pkb1145b9wd3l43ccxm241c29nlb6f-evince-40.2
 - evince           	3.36.5              	out	/gnu/store/kkxnc1qcvlaqhwyqzn7ix75v19zwkzy1-evince-3.36.5
 + rofi             	1.7.2               	out	/gnu/store/klq61hm4h97j11kczm7vlnfsrmwnf9s8-rofi-1.7.2
 - rofi             	1.7.0               	out	/gnu/store/x5rwxpy2w6a0s19yl52x2pir5xm9c75i-rofi-1.7.0
 + gtk+             	3.24.30             	out	/gnu/store/p1x3p9x0x5g5m22dwzi7iw87bpxmb2sz-gtk+-3.24.30
 - gtk+             	3.24.24             	out	/gnu/store/1dswfgvhwykglwkdfzvkypj5zjxicn96-gtk+-3.24.24
 + poppler          	21.07.0             	out	/gnu/store/gkiwa70z1w32xj51fyq9ya95famrh51q-poppler-21.07.0
 - poppler          	0.86.1              	out	/gnu/store/dyiipg5pd852zjwz2j1gd5s0zlxi3gyq-poppler-0.86.1
 + pulseaudio       	15.0                	out	/gnu/store/2ycq2ihp8zqg1687qd9k67xyzc4n0s42-pulseaudio-15.0
 - pulseaudio       	14.0                	out	/gnu/store/jjdrqjy4ns8arqdz37wi0qh43lc2z7d1-pulseaudio-14.0
 + texlive          	20210325            	out	/gnu/store/35xph93135j3l3l856b2504j1hll53vr-texlive-20210325
 - texlive          	20190410            	out	/gnu/store/c1ch558dhj4fh9d30lqb2nyqsrj0cfk1-texlive-20190410
 + cmake            	3.21.3              	out	/gnu/store/wxfx09c113lghn6axwa7gk4cb74ld9cp-cmake-3.21.3
 - cmake            	3.21.1              	out	/gnu/store/vfbw5h12hqg23bagnzgrmclds2vrky3q-cmake-3.21.1
 + weechat          	3.4                 	out	/gnu/store/mnra0cii4br3731zjgbsivdpz7vknbc9-weechat-3.4
 - weechat          	3.3                 	out	/gnu/store/9isbc51mvjidbrcpcwc8idkifn40jb1n-weechat-3.3
 + gnupg            	2.2.32              	out	/gnu/store/75122spwjdkxxgd32gkkil3n7ifax8i5-gnupg-2.2.32
 - gnupg            	2.2.29              	out	/gnu/store/cc0r4spdjr25pisaj4fs7pcyb62v1r2x-gnupg-2.2.29
 + file             	5.41                	out	/gnu/store/x6jwiap9rgdk6zkrp2ccwamw5qkrz92v-file-5.41
 - file             	5.38                	out	/gnu/store/h43rhpn3x2aifkk3sqhaaf6ia7hkqyhp-file-5.38

On Wed, Jan 05 2022, 16:22:01, [email-masked] (GNU bug Tracking System) wrote:

> Thank you for filing a new bug report with debbugs.gnu.org.
>
> This is an automatically generated reply to let you know your message
> has been received.
>
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>
> Your message has been sent to the package maintainer(s):
>  [email-masked]
>
> If you wish to submit further information on this problem, please
> send it to [email-masked].
>
> Please do not send mail to [email-masked] unless you wish
> to report a problem with the Bug-tracking system.